#3620 closed defect (fixed)

CommitTicketUpdater does not process commits in order

Reported by: Sebastian Huber Owned by: Amar Takhar
Priority: normal Milestone: 5.1
Component: admin Version:
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Change History (8)

comment:1 Changed on Dec 5, 2018 at 3:33:42 AM by Amar Takhar

Hmm, this is the order that git-rev gives it to the script. I'll play around and try to figure out.

Since there are only two commits I can't tell if it's simply reversed I'd need at least 4 multiple times to see if I can simply reverse the order to fix this.

comment:2 Changed on Dec 5, 2018 at 3:39:39 AM by Chris Johns

Why not create a test repo as a personal repo and add the hooks for testing?

comment:3 Changed on Dec 7, 2018 at 1:36:46 PM by Sebastian Huber

I pushed at least seven commits today in one rush:

https://devel.rtems.org/ticket/3621

They show up in reverse order.

comment:4 Changed on Dec 7, 2018 at 1:38:34 PM by Amar Takhar

Okay great thanks all I need to do is reverse the order of the commits fed into the updater. I'll do that shortly.

comment:5 in reply to:  2 Changed on Dec 7, 2018 at 1:41:28 PM by Amar Takhar

Replying to Chris Johns:

Why not create a test repo as a personal repo and add the hooks for testing?

Because we use quite a few scripts that do unique things for RTEMS infrastructure. It would be a lot of work to get the same environment running elsewhere for a check that can be done the next time 4 commits are pushed at the same time. Outside of aesthetics the tickets are still being updated. I'm not sure where the offending area is but now I think I know we'll see.

comment:6 Changed on Dec 7, 2018 at 1:45:39 PM by Amar Takhar

Since this is never been a problem before I didn't notice that git rev-list by default shows reverse chronological order. I added --reverse to the commandline hopefully that fixes this issue.

Please let me know if this fixes the issue.

comment:7 Changed on Dec 14, 2018 at 6:06:26 AM by Sebastian Huber

Milestone: Indefinite5.1

comment:8 Changed on Dec 14, 2018 at 6:06:38 AM by Sebastian Huber

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.